Page MenuHomePhabricator

Multiwiki disambiguation page does not correctly route to the main devwiki
Closed, ResolvedPublic

Description

On the "No wiki found" error page for a nonexistent *.wiki.local.wmftest.net vhost subdomain, the main devwiki is linked to as "127.0.0.1:8080", which will not work under many circumstances. We cannot assume that the devwiki is the server's default site.

Event Timeline

awight created this task.May 6 2015, 8:13 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added a project: MediaWiki-Vagrant.
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 8:13 PM
bd808 added a subscriber: bd808.May 7 2015, 4:40 PM

The tricky part here is that the main wiki doesn't really know what its FQDN is. The MultiWiki boot loader checks the hostname for the request and if it can't figure out a wiki attached to the name it give the pretty error screen. The values in the error screen come from the $wgCanonicalServer values in settings.d/wikis/*/wgConf.php. The $wgCanonicalServer for the default wiki is http://127.0.0.1:8080 (modulo the port number).

bd808 triaged this task as Low priority.Jan 26 2016, 3:40 AM

Yesterday I installed MediaWiki-Vagrant from https://mediawiki-vagrant-image.wmflabs.org/wiki/Main_Page and enabled and provisioned Flow. The "No wiki found" error page for a nonexistent *.wiki.local.wmftest.net gives a list of available wikis in the farm. On top is devwiki, which links to http://dev.wiki.local.wmftest.net:8080/ and not to an IP address. Looks like resolved to me.

bd808 closed this task as Resolved.Apr 5 2016, 2:04 AM
bd808 claimed this task.
Restricted Application added a project: User-bd808. · View Herald TranscriptApr 5 2016, 2:04 AM
bd808 moved this task from To Do to Done on the User-bd808 board.Apr 6 2016, 3:23 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Apr 13 2016, 4:08 PM